% estimate the parameters based on the DATA and normalize using WEIGHTS
% LOG_FIT indicates whether to use the linearized model function
function p_est = getEstimates(data, weights, log_fit)
    options = optimset('MaxIter', 1e4, 'MaxFunEvals', 200);
    
    CL = rand;
    
    times = data(:,1);
    dat = data(:,2);
    % we convert data and weights for the linearized model (if necessary)
    % we also integrate the weights into the model function 
    if log_fit
        dat = log(dat);
        weights = log(weights);
        fit_func = @(params, t) (log_lindecay(params, t)-weights);
    else
        fit_func = @(params, t) (lindecay(params, t)./weights);
    end
    
    %weights = data(:,2);%./data(:,5);
    V0 = dat(1);
    [p_est, res]=lsqcurvefit(fit_func, [V0, CL], times, dat./weights, [0 0],[inf inf], options);
        
    %weights = data(:,3)./data(:,5);    
end