% get some statistics from the data, such means at each time point etc.
function m = means(data)
    timeCol = data(:,2);
    times = unique(timeCol);
    m = zeros(length(times),5);
    m(:,1) = times;
    for t=1:length(times)
        % get all values at that time
        index = timeCol == times(t);
        tmp = data(index,3);
        n = length(tmp);
        m(t,2) = mean(tmp);                 % mean value
        m(t,3) = median(tmp);               % median value
        m(t,4) = std(double(tmp))/sqrt(n);  % standard error of the mean
        m(t,5) = n;                         % number of data points used
    end
end