% plot the estimates for the DATA (time points) and the parameter ESTimate
% annotate plot of data with TITLE_NAME.
% function or not
function plotEstimates(data, ests, names, title_str)
    %options = optimset('MaxIter', 1e4, 'MaxFunEvals', 200);
    
    % plot reference data in new figure
    figure()
    clf();
    plot(data(:,1), data(:,2),'b--o','DisplayName', 'Ref');
    text(data(:,1), data(:,2), cellstr( num2str(data(:,5))), ...
        'VerticalAlignment','bottom', 'HorizontalAlignment','left')
    legend('-DynamicLegend');
    hold all;
    set(gca,'YScale','log')
    
    % plot the data using the estimated parameters.
    fit_func = @(params, t) (lindecay(params, t));
    for i=1:length(ests)
        plot(data(:,1), (fit_func(ests(i,:),data(:,1))), ...
             'DisplayName', names(i));
    end    
    xlabel('Days after treatment begin');
    ylabel('Virus load [1/ml solute]');
    title(title_str);
end